GEOS: geos::MultiPolygon Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::MultiPolygon Class Reference

Basic implementation of `MultiPolygon`. More...

`#include <geos.h>`

Inheritance diagram for geos::MultiPolygon:

List of all members.

## Public Member Functions
| MultiPolygon (vector< Geometry * > *newPolys, const GeometryFactory *newFactory)
| Construct a MultiPolygon.
int | getDimension () const
| Returns surface dimension (2).
int | getBoundaryDimension () const
| Returns 1 (MultiPolygon boundary is MultiLineString).
Geometry * | getBoundary () const
| Returns a MultiLineString composed of one LineString for each of the composing Polygon's shells and holes.
string | getGeometryType () const
| Return a string representation of this Geometry type.
virtual GeometryTypeId | getGeometryTypeId () const
| Return an integer representation of this Geometry type.
bool | isSimple () const
| Returns false if the Geometry not simple.
bool | equalsExact (const Geometry *other, double tolerance) const
| Returns true if the two Geometrys are exactly equal, up to a specified tolerance.

## Detailed Description

Basic implementation of `MultiPolygon`.

## Constructor & Destructor Documentation

geos::MultiPolygon::MultiPolygon | ( | vector< Geometry * > * | newPolys,
|  | const GeometryFactory * | factory |
| ) |  |  |

Construct a MultiPolygon.

Parameters:

  | newPolys | the `Polygon`s for this `MultiPolygon`, or `null` or an empty array to create the empty geometry. Elements may be empty `Polygon`s, but not `null`s. The polygons must conform to the assertions specified in the OpenGIS Simple Features Specification for SQL .

Constructed object will take ownership of the vector and its elements.

Parameters:

  | newFactory | The GeometryFactory used to create this geometry Caller must keep the factory alive for the life-time of the constructed MultiPolygon.
  | newPolys | the `Polygon`s for this `MultiPolygon`, or `null` or an empty array to create the empty geometry. Elements may be empty `Polygon`s, but not `null`s. The polygons must conform to the assertions specified in the OpenGIS Simple Features Specification for SQL .

Constructed object will take ownership of the vector and its elements.

The documentation for this class was generated from the following files:

- geom.h
- MultiPolygon.cpp